Bug 728997 - Debug files missing in debuginfo package for busybox
Debug files missing in debuginfo package for busybox
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: busybox (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Denys Vlasenko
qe-baseos-daemons
:
: 1076385 (view as bug list)
Depends On:
Blocks: 727919 1075802 1172231 1359574 1270638
  Show dependency treegraph
 
Reported: 2011-08-08 11:18 EDT by Karel Klíč
Modified: 2016-08-01 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Klíč 2011-08-08 11:18:49 EDT
A problem related to debuginfo was found in the busybox-1.15.1-11.el6 package. This issue might affect crash analysis done by Automatic Bug Reporting Tool and its retrace server, and also prevent proper debugging of crashes via GDB.

Debuginfo files for some binaries are not present in the debuginfo package. This might be caused by:
 - binary being compiled without debugging information
 - debugging information being removed from the binary by a build script
 - rpmbuild failing to extract debugging information from a binary in a buildroot because of permissions (eg. suid binaries, binaries without executable flag set)

List of binaries without corresponding debuginfo file:
- affected binary: /sbin/busybox.petitboot
  affected package: busybox-petitboot-1.15.1-11.el6.i686
  binary doesn't contain debug sections (it was probably stripped)
  affected binary file mode: 100755
- affected binary: /sbin/busybox
  affected package: busybox-1.15.1-11.el6.i686
  binary doesn't contain debug sections (it was probably stripped)
  affected binary file mode: 100755

This issue can be investigated by using eu-readelf tool from the elfutils package. Use `eu-readelf --notes /path/to/binary` to get build ID of a binary. Then check that the debuginfo package does not contain /usr/lib/debug/.build-id/<aa>/<bbbbbbbb>, where <aa> are the first two chars of the build ID, and <bbbbbbbb> is the rest of it. It should be a symlink pointing back to the binary.

(This bug was detected and filed by a script.)
Comment 2 RHEL Product and Program Management 2011-08-08 11:42:36 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Denys Vlasenko 2012-03-07 10:51:20 EST
Tried to fix it by simply installing unstripped binary:

-cp busybox busybox.static
+cp busybox_unstripped busybox.static
...
 install -m 755 busybox.static $RPM_BUILD_ROOT/sbin/busybox

but no debuginfo package was produced, and /sbin/busybox wasn't stripped by build machinery either.
Comment 4 Denys Vlasenko 2012-03-07 11:28:50 EST
Removed "%define debug_package %{nil}" and this was the missing bit.

Fixed in Fedora:

http://koji.fedoraproject.org/koji/buildinfo?buildID=305476
Comment 5 RHEL Product and Program Management 2012-09-07 01:12:30 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 8 Denys Vlasenko 2015-10-15 14:32:15 EDT
*** Bug 1076385 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.